<?php
session_start();
$usuario=$_SESSION['rut'];
$perfil=$_SESSION['perfil'];
include '../../conexion/conn.php';

    require_once("../../dompdf/dompdf_config.inc.php");
   

$exportador_cod=$_REQUEST['exportador_cod'];
$especie_id=$_REQUEST['especie_id'];
$norma_id=$_REQUEST['norma_id'];
$turno=$_REQUEST['turno'];

$packing_cod=$_REQUEST['packing_cod'];
$rshora = mysql_query("SELECT * FROM packing WHERE packing_cod='$packing_cod'");
if($rowhora = mysql_fetch_array($rshora)){
    $packing_nombre=$rowhora['packing_nombre'];
}

if($_REQUEST['control1']!=""){
    $defecto_id1=$_REQUEST['control1'];
    $rshora = mysql_query("SELECT * FROM defectos WHERE defecto_id='$defecto_id1'");
                if($rowhora = mysql_fetch_array($rshora)){
                    $defecto1_nombre=$rowhora['defecto_nombre'];
                }
    $rshora = mysql_query("SELECT parametros.parametro_nombre FROM norma_detalle INNER JOIN parametros ON parametros.id_parametro=norma_detalle.id_parametro WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.defecto_id='$defecto_id1'");
    if($rowhora = mysql_fetch_array($rshora)){
        $parametro_nombre1=$rowhora['parametro_nombre'];
    }
    $rs2 = mysql_query("SELECT * FROM norma_detalle WHERE defecto_id='$defecto_id1' AND norma_id='$norma_id'");
        if($row2 = mysql_fetch_array($rs2)){
            $norma_det_valor_tipo1=$row2['norma_det_valor_tipo'];
            $tipo_dato1=$row2['tipo_dato'];
        }
    


}else{
    $defecto_id1=0;
    $defecto1_nombre="";
    $parametro_nombre1="";
    $norma_det_valor_tipo1="";
    $tipo_dato1="";
}

if($_REQUEST['control2']!=""){
    $defecto_id2=$_REQUEST['control2'];
    $rshora = mysql_query("SELECT * FROM defectos WHERE defecto_id='$defecto_id2'");
                if($rowhora = mysql_fetch_array($rshora)){
                    $defecto2_nombre=$rowhora['defecto_nombre'];
                }
    $rshora = mysql_query("SELECT parametros.parametro_nombre FROM norma_detalle INNER JOIN parametros ON parametros.id_parametro=norma_detalle.id_parametro WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.defecto_id='$defecto_id2'");
    if($rowhora = mysql_fetch_array($rshora)){
        $parametro_nombre2=$rowhora['parametro_nombre'];
    }

    $rs2 = mysql_query("SELECT * FROM norma_detalle WHERE defecto_id='$defecto_id2' AND norma_id='$norma_id'");
        if($row2 = mysql_fetch_array($rs2)){
            $norma_det_valor_tipo2=$row2['norma_det_valor_tipo'];
            $tipo_dato2=$row2['tipo_dato'];
        }
}else{
    $defecto_id2=0;
    $defecto2_nombre="";
    $parametro_nombre2="";
    $norma_det_valor_tipo2="";
    $tipo_dato2="";
}

if($_REQUEST['control3']!=""){
    $defecto_id3=$_REQUEST['control3'];
    $rshora = mysql_query("SELECT * FROM defectos WHERE defecto_id='$defecto_id3'");
                if($rowhora = mysql_fetch_array($rshora)){
                    $defecto3_nombre=$rowhora['defecto_nombre'];
                }
    $rshora = mysql_query("SELECT parametros.parametro_nombre FROM norma_detalle INNER JOIN parametros ON parametros.id_parametro=norma_detalle.id_parametro WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.defecto_id='$defecto_id3'");
    if($rowhora = mysql_fetch_array($rshora)){
        $parametro_nombre3=$rowhora['parametro_nombre'];
    }

    $rs2 = mysql_query("SELECT * FROM norma_detalle WHERE defecto_id='$defecto_id3' AND norma_id='$norma_id'");
        if($row2 = mysql_fetch_array($rs2)){
            $norma_det_valor_tipo3=$row2['norma_det_valor_tipo'];
            $tipo_dato3=$row2['tipo_dato'];
        }
}else{
    $defecto_id3=0;
    $defecto3_nombre="";
    $parametro_nombre3="";
    $norma_det_valor_tipo3="";
    $tipo_dato3="";
}


$fecha=$_REQUEST['fecha'];
$observacion="";
$fecha2=$_REQUEST['fecha'];
$fecha3 = explode("-", $fecha2);
$anio=$fecha3[0]; // porción1
$mes=$fecha3[1]; // porción2
$dia=$fecha3[2];
$fecha3=$dia."-".$mes."-".$anio;
        
$codigoHTML='<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Graficos</title>
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/metro-orange/easyui.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/mobile.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/icon.css">  
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.min.js"></script>  
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.min.js"></script> 
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.mobile.js"></script>
      <script type="text/javascript" src="../../jquery-easyui-1.4.5/locale/easyui-lang-es.js"></script>
      <script type="text/javascript" src="../../Highcharts-4.2.7/js/highcharts.js"></script>
    <script type="text/javascript" src="../../Highcharts-4.2.7/js/modules/exporting.js"></script> 
     
</head>
<body>';


$codigoHTML.='<div style="width:940px; height:80px; border:1px solid #190707; margin-left:0px;">
            
            <div style="float:left; width:15%;" >
                
            
            <div style="float:left; width:70%;">
                '.$fecha3.'
                <center><h2>INFORME GENERAL CONTROL PROCESO</h2></center>
            </div>
            <div style="float:left; width:15%;" >
                
            </div>
</div>';


$codigoHTML.='
</body>
</html>';
$codigoHTML=utf8_encode($codigoHTML);
$dompdf=new DOMPDF();
$dompdf->load_html($codigoHTML);
ini_set("memory_limit","128M");
$dompdf->render();
$dompdf->stream("informe_diario.pdf");

?>

  